## GstBtSidSyn GstBtSidSyn — c64 sid synthesizer |

## Properties

gboolean | band-pass | Read / Write
gulong | children | Read / Write
GstBtSidSynChip | chip | Read / Write
guint | cut-off | Read / Write
gboolean | hi-pass | Read / Write
gboolean | low-pass | Read / Write
guint | resonance | Read / Write
GstBtToneConversionTuning | tuning | Read / Write
gboolean | voice3-off | Read / Write
guint | volume | Read / Write

## Types and Values

struct | GstBtSidSyn
enum | GstBtSidSynChip

## Object Hierarchy

        GEnum
        ╰── GstBtSidSynChip
        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstBtAudioSynth
                            ╰── GstBtSidSyn

## Implemented Interfaces

GstBtSidSyn implements GstPreset, GstBtTempo, GstChildProxy, GstBtChildBin and GstBtPropertyMeta.

## Description

A synthesizer based on the RSID emulation library of the C64 sound chip. The element provides a sound generator with 3 voices. It implements a couple of effects (see GstBtSidSynEffect), which are well known from trackers such as pitch slides, arpeggio and vibrato.

For technical details see:

- SID at wikipedia

- SID datasheet

### Example launch line

    1
    gst-launch sidsyn num-buffers=1000 voice0::note="c-4" ! autoaudiosink

Render a beep.

## Functions

## Types and Values

### struct GstBtSidSyn

    struct GstBtSidSyn;

Class instance data.

### enum GstBtSidSynChip

Chip variant.

#### Members

MOS6581 | first chip version |
MOS8580 | second chip version |

## Property Details

### The `“band-pass”` property

      “band-pass”                gboolean

Enable BandPass Filter.

Flags: Read / Write

Default value: FALSE

### The `“children”` property

      “children”                 gulong

the number of children this element uses.

Flags: Read / Write

Allowed values: [3,3]

### The `“chip”` property

      “chip”                     GstBtSidSynChip

Chip model to emulate.

Flags: Read / Write

Default value: MOS6581

### The `“cut-off”` property

      “cut-off”                  guint

Audio filter cut-off frequency.

Flags: Read / Write

Allowed values: <= 2047

Default value: 1024

### The `“hi-pass”` property

      “hi-pass”                  gboolean

Enable HiPass Filter.

Flags: Read / Write

Default value: FALSE

### The `“low-pass”` property

      “low-pass”                 gboolean

Enable LowPass Filter.

Flags: Read / Write

Default value: FALSE

### The `“resonance”` property

      “resonance”                guint

Audio filter resonance.

Flags: Read / Write

Allowed values: <= 15

Default value: 2

### The `“tuning”` property

      “tuning”                   GstBtToneConversionTuning

Harmonic tuning.

Flags: Read / Write

Default value: GSTBT_TONE_CONVERSION_EQUAL_TEMPERAMENT

### The `“voice3-off”` property

      “voice3-off”               gboolean

Detach voice 3 from mixer.

Flags: Read / Write

Default value: FALSE

### The `“volume”` property

      “volume”                   guint

Volume of tone.

Flags: Read / Write

Allowed values: <= 15

Default value: 15